%define oname   raindrops

Name:       ruby-%{oname}
Version:    0.12.0
Release:    %mkrel 5
Summary:    Real-time stats for preforking Rack servers
Group:      Development/Ruby
License:    MIT
URL:        http://raindrops.bogomips.org/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(wrongdoc)
BuildRequires: rubygem(tidy_ffi)
BuildRequires: ruby-devel

%description
Raindrops is a real-time stats toolkit to show statistics for Rack HTTP
servers.  It is designed for preforking servers such as Rainbows! and
Unicorn, but should support any Rack HTTP server under Ruby 1.9, 1.8 and
Rubinius on platforms supporting POSIX shared memory.  It may also be
used as a generic scoreboard for sharing atomic counters across multiple
processes.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README ChangeLog LICENSE NEWS
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
export VERSION=%{version}
%gem_build

%install
export VERSION=%{version}
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.12.0-5.mga4
+ Revision: 561683
- Fix gem macros

* Fri Dec 27 2013 pterjan <pterjan> 0.12.0-4.mga4
+ Revision: 560972
- Also export VERSION for install as we use the gemspec again

* Tue Dec 24 2013 pterjan <pterjan> 0.12.0-3.mga4
+ Revision: 560310
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.12.0-2.mga4
+ Revision: 538274
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.12.0-1.mga4
+ Revision: 489148
- Add more BuildRequires
- 0.12.0
- Use gem_setup
- Add missing BUildRequires
- Fix file list
- Package examples and tests

* Fri Feb 08 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 396347
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 381332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.10.0-1.mga3
+ Revision: 313120
- update file list
- update file list
- imported package ruby-raindrops

